import React from 'react';
import style from "./index.less";
import PropTypes from "prop-types";

/**
 * 
 */
class InspectCommon extends React.Component {
    constructor(props) {
        super(props);
    }

    render() {
        const { children,handleClear,handleConfirm} = this.props;
        return <div className={ style.wrapper} id="inspectFill">
            {children}
            <div className={style.btnWrap}>
                <span className={style.clear + ' red'} onClick={handleClear}>清空选项</span>
                <span className={style.sure} onClick={handleConfirm}>确定</span>
            </div>
        </div>
    }
}

InspectCommon.propTypes = {
    handleClear: PropTypes.func,
    handleConfirm: PropTypes.func
};
export default InspectCommon;